%define name 	directory_administrator
%define version 1.1.1
%define release 1mdk

Summary:	LDAP directory user/group/access control manager
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Other
URL:		http://www.usm.edu.ec/~amadorm/directoryadmin/
Source:		%name-%{version}.tar.bz2
Source2:	diradminlogo.xpm
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libldap2
Buildrequires: libldap2-devel

%description
Directory administrator is a POSIX user/group manager for LDAP directories.
It can also manage access controls, departmental and e-mail routing information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): longtitle="%{summary}" \
command="%{name}" title="Directory Administrator"  needs="x11" \
section="Networking/Other" \
icon="diradminlogo.xpm" 
EOF


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS COPYING ChangeLog TODO README doc
%{_bindir}/*
%{_datadir}/gnome/apps/System/*
%{_datadir}/pixmaps/directory_administrator/*
%{_menudir}/*
%{_iconsdir}/*


%changelog
* Wed Mar 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- updated to 1.1.1

* Tue Mar 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- updated to 1.1.0
- fix requires & add buildrequires

* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- udpated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.0.8

* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- new in contribs

